Subject: Re: IBM's Jikes Java Compiler on Cygwin b20.1
From: [email-masked] (Mumit Khan)

26 Dec 1998 00:36:56 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: MULTIPART/MIXED; BOUNDARY="1915750185-1671590046-914635833=:24375"
To: Stipe Tolj <[email-masked]>
Cc: GNU-Win32 <[email-masked]>

  This message is in MIME format.  The first part should be readable text,
  while the remaining parts are likely unreadable without MIME-aware tools.
  Send mail to [email-masked] for more info.

--1915750185-1671590046-914635833=:24375
Content-Type: TEXT/PLAIN; charset=US-ASCII

On Thu, 24 Dec 1998, Stipe Tolj wrote:

> (note: long.o had to be compiled using b19.3 since I'm getting an
> internal compiler error using b20.1)

Or use the workaround I had sent you. I recommend not mixing b19 and
b20.x compilers (unless you use egcs for both of course).

> ...
> ld -L. -o jikes.exe jikes.o scanner.o code.o zip.o unzip.o ast.o
> diagnose.o parser.o lpginput.o lcase.o javaact.o error.o set.o symbol.o
> lookup.o depend.o stream.o op.o control.o modifier.o system.o bytecode.o
> body.o decl.o definite.o dump.o expr.o getclass.o init.o double.o
> config.o option.o incrmnt.o case.o long.o -lstdc++ -lgcc -lcrtdll
> -lcygwin -lkernel32
> ld: warning: cannot find entry symbol _mainCRTStartup; defaulting to
> 00401000

Yikes! Why are you using "ld" to link! You're missing the startup files,
and the program crashes and it has every right to. Also, why are you
linking with CRTDLL for a Cygwin app (if it's to get the wcscpy etc,
it's the wrong way to do it)! Never mix Cygwin and MS runtime DLLs.

I'm attaching my trivial patch for Jikes, so you can just type 'make'.
It also enables wide char versions of stuff from config.cpp when
__CYGWIN__ is defined.

Regards,
Mumit

--1915750185-1671590046-914635833=:24375
Content-Type: TEXT/PLAIN; charset=US-ASCII; name="cygwin.diff"
Content-Transfer-Encoding: BASE64
Content-ID: <[email-masked]>
Content-Description: Jikes on Cygwin patch

--1915750185-1671590046-914635833=:24375--
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".